.roomsCard {
    max-width: 74rem;
    width: 100%;
}

.roomsCard_Slider {
    background: #fff;
    width: 100%;
    aspect-ratio: 1480/848;
    position: relative;
    overflow: hidden;
}

.roomsCard_Slider .splide__track,
.roomsCard_Slider .splide__list,
.roomsCard_Slider .splide__slide {
    height: 100%;
}

.vimeo-player {
    width: 100%;
    height: 100%;
    position: relative;
}

.vimeo-thumbnail {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    background-size: cover;
    background-position: center;
    z-index: 5;
    transition: opacity 0.8s ease, visibility 0.8s;
}

.vimeo-thumbnail.is-hidden {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.vimeo-player iframe {
    width: 100%;
    height: 100%;
}

.roomsCard_Slider .splide__slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.roomsCard_Content {
    width: 100%;
    padding-inline: 3rem;
    margin-top: -9rem;
    position: relative;
    z-index: 20;
}

.roomsCard_Content_Inner {
    width: 100%;
    max-width: 51.2rem;
    margin: 0 auto;
    background: white;
    padding: 2.5rem 3.5rem;
}

.roomTitle {
    font-size: 1.5rem;
    line-height: 1;
    color: #525252;
    font-weight: 600;
    margin-bottom: 1rem;
}

.roomDesc {
    font-size: 0.95rem;
    color: #525252;
    font-weight: 300;
    line-height: 1.5;
    width: 18rem;
}

.roomFeatures_Grid {
    display: flex;
    flex-wrap: wrap;
    gap: 0rem 0.25rem;
    max-width: 15rem;
}

.roomFeatures_Grid.w-100 {
    max-width: none;
}

.roomFeatures_Grid li {
    font-size: 0.9rem;
    color: #525252;
    font-weight: 300;
    white-space: nowrap;
}

.roomsCard_Footer {
    border-top: 1px solid var(--primary-color);
    padding-top: 1rem;
}

.roomSize span {
    font-size: 0.85rem;
    color: #B6B6B6;
    letter-spacing: 0.1em;
    font-weight: 300;
    border-top: 1px solid var(--primary-color);
    border-bottom: 1px solid var(--primary-color);
    padding-block: 0.25em;
    display: block;
}

/* Slider Arrows */
.roomsCard_Slider .splide__custom__arrows {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    z-index: 10;
    display: flex;
    justify-content: space-between;
    padding-inline: 3rem;
    pointer-events: none;
}

.roomsCard_Slider .splide__arrow {
    background: rgba(96, 96, 96, 0.3);
    border: none;
    width: 2.2rem;
    height: 2.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    pointer-events: auto;
    padding: 0;
    opacity: 1;
    transition: all 0.3s ease;
}

.roomsCard_Slider .splide__arrow img {
    width: 0.75rem;
}

.roomsCard_Slider .splide__arrow.splide__arrow--prev {
    left: 2.5rem !important;
}

.roomsCard_Slider .splide__arrow.splide__arrow--next {
    right: 2.5rem !important;
}

.full-screen-btn {
    position: absolute;
    top: 1rem; /* Positioned above the white box overlap */
    right: 1rem;
    z-index: 100;
    border: none;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fffc;
    transition: all 0.3s ease;
    background: transparent;
    cursor: pointer;
}

.full-screen-btn img {
    width: 1rem;
    height: 1rem;
}

.room-content {
    height: 100%;
    gap: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* Responsive adjustments */

@media (max-width: 991px) {
    .roomsCard_Slider {
        aspect-ratio: 16/10;
        min-height: 20rem;
    }
    .roomsCard_Content {
        margin-top: -6rem;
    }
    .roomsCard_Content_Inner {
        padding: 2.5rem;
    }
}

@media (max-width: 767px) {
    .roomsCard_Content {
        margin-top: -6rem;
        padding-inline: 1.5rem;
    }
    .roomsCard_Content_Inner {
        padding: 2rem 1.5rem;
    }
    .roomDesc,
    .roomSize {
        max-width: 15rem;
    }
    .roomsCard_Slider .splide__arrow.splide__arrow--prev {
        left: 1.5rem !important;
    }
    .roomsCard_Slider .splide__arrow.splide__arrow--next {
        right: 1.5rem !important;
    }
}

@media(max-width: 575px) {
    .roomsCard_wrap {
        margin-inline: -1.5rem;
    }
    .roomsCard_Slider {
        aspect-ratio: 1;
        min-height: 20rem;
    }
    .room-content {
        gap: 0rem;
    }
}
